package cn.com.ctop.performanceappraisal.mapper;

import cn.com.ctop.performanceappraisal.entity.Performance;
import cn.com.ctop.performanceappraisal.vo.OptimizerCostDetailVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设计师季度绩效表
 *
 * @author: jeecg-boot
 * @date: 2019-12-10
 * @cersion: V1.0
 */
public interface PerformanceMapper extends BaseMapper<Performance> {

    List<OptimizerCostDetailVO> getOptimizerTotalCostDetail(@Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate, @Param(value = "year") String year, @Param(value = "quarter") String quarter);

    OptimizerCostDetailVO getOptimizerTotalCost(@Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate, @Param(value = "year") String year, @Param(value = "quarter") String quarter);
}
